> ## Documentation Index
> Fetch the complete documentation index at: https://api.monument.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new lead

> Creates a new lead in the system with verification token for authentication



## OpenAPI

````yaml /openapi/shopping-openapi.json post /shopping/{portfolio}/v1/facilities/lead
openapi: 3.0.0
info:
  title: Monument Shopping API
  description: Monument Shopping API
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.prd.monument.io
    description: Production
  - url: https://public-api.stg.monument.io
    description: Staging
security: []
tags:
  - name: Facilities
    description: Facility listing, details, and configuration
  - name: Leads
    description: Lead creation, updates, status, and pre-existing tenant validation
  - name: Shopping Cart
    description: Cart operations and access plans
  - name: Unit Groups
    description: Unit group details and taxes
  - name: Units
    description: Unit and gate access code retrieval
  - name: Payments
    description: Payment profiles and processor information
  - name: Brands
    description: Branding configuration and brand-scoped facilities
  - name: Coverages
    description: Coverage options and private coverage info
  - name: Leases
    description: Lease signing redirects
  - name: Organizations
    description: Portfolio organization information
  - name: Lead Marketing Sources
    description: Marketing source listing
paths:
  /shopping/{portfolio}/v1/facilities/lead:
    post:
      tags:
        - Facilities
        - Leads
      summary: Create a new lead
      description: >-
        Creates a new lead in the system with verification token for
        authentication
      operationId: PublicApiFacilitiesController_createNewLead
      parameters:
        - name: portfolio
          required: true
          in: path
          schema:
            type: string
        - in: header
          required: true
          name: x-api-key
          schema:
            example: monument-2230012-2312321
            description: >-
              Api key required to authenticate your request. Please reach out to
              monument for a key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LeadDto'
      responses:
        '201':
          description: Result of creating a lead, needed to make future updates to leads
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateLeadResponse'
components:
  schemas:
    LeadDto:
      type: object
      properties:
        taxId:
          type: string
          nullable: true
        dateDesiredMoveIn:
          format: date-time
          type: string
          nullable: true
        businessName:
          type: string
          nullable: true
        leadType:
          type: string
          enum:
            - BUSINESS
            - PERSONAL
        leadStatus:
          type: string
          enum:
            - OPEN
            - CONVERTED
            - LOST
            - PENDING
            - RESERVED
            - WAITLISTED
        person:
          $ref: '#/components/schemas/PersonDto'
        hasBeneficiary:
          type: boolean
        beneficiary:
          $ref: '#/components/schemas/BeneficiaryDto'
        alternateContact:
          $ref: '#/components/schemas/AlternateContactDto'
        haveAlternateContact:
          type: boolean
        vehicle:
          $ref: '#/components/schemas/VehicleDto'
        haveVehicle:
          type: boolean
        leadMarketingSourceUuid:
          type: string
          nullable: true
          format: uuid
        unitGroupUuid:
          type: string
          format: uuid
        facilityUuid:
          type: string
          format: uuid
        leadSourceUuid:
          type: string
          format: uuid
      required:
        - person
        - unitGroupUuid
        - facilityUuid
    CreateLeadResponse:
      type: object
      properties:
        leadUuid:
          type: string
          format: uuid
          description: Unique identifier for the lead created
        verifyToken:
          type: string
          nullable: true
          description: >-
            Temporary verification token needed to update the created lead while
            the lead is shopping
      required:
        - leadUuid
        - verifyToken
    PersonDto:
      type: object
      properties:
        addressLine1:
          type: string
        addressLine2:
          type: string
        city:
          type: string
        state:
          $ref: '#/components/schemas/States'
        country:
          $ref: '#/components/schemas/Countries'
        zip:
          type: string
        military:
          $ref: '#/components/schemas/MilitaryDto'
        haveMilitary:
          type: boolean
        dateOfBirth:
          type: string
          nullable: true
          format: date
        isSmsEnrolled:
          type: boolean
        identification:
          $ref: '#/components/schemas/PersonIdentificationDto'
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        phone:
          type: string
        phoneType:
          type: object
      required:
        - addressLine1
        - addressLine2
        - firstName
        - lastName
    BeneficiaryDto:
      type: object
      properties:
        firstName:
          type: string
        lastName:
          type: string
        relationship:
          type: string
        email:
          type: string
        phone:
          type: string
    AlternateContactDto:
      type: object
      properties:
        firstName:
          type: string
        lastName:
          type: string
        phone:
          type: string
          nullable: true
        relationship:
          type: string
    VehicleDto:
      type: object
      properties:
        type:
          type: string
        make:
          type: string
        model:
          type: string
        vinNumber:
          type: string
          maxLength: 17
        licensePlateNumber:
          type: string
          maxLength: 20
        vehicleLien:
          $ref: '#/components/schemas/VehicleLienDto'
        haveVehicleLien:
          type: boolean
      required:
        - type
        - make
        - model
        - vinNumber
        - haveVehicleLien
    States:
      type: string
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
        - AB
        - BC
        - MB
        - NB
        - NL
        - NS
        - NT
        - NU
        - 'ON'
        - PE
        - QC
        - SK
        - YT
        - PR
        - GU
        - AS
        - VI
        - MP
        - AA
        - AE
        - AP
    Countries:
      type: string
      enum:
        - AD
        - AE
        - AF
        - AG
        - AI
        - AL
        - AM
        - AO
        - AQ
        - AR
        - AS
        - AT
        - AU
        - AW
        - AX
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BL
        - BM
        - BN
        - BO
        - BR
        - BS
        - BT
        - BV
        - BW
        - BY
        - BZ
        - CA
        - CC
        - CD
        - CF
        - CG
        - CH
        - CI
        - CK
        - CL
        - CM
        - CN
        - CO
        - CR
        - CU
        - CV
        - CW
        - CX
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - EH
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FK
        - FM
        - FO
        - FR
        - GA
        - GB
        - GD
        - GE
        - GF
        - GG
        - GH
        - GI
        - GL
        - GM
        - GN
        - GP
        - GQ
        - GR
        - GS
        - GT
        - GU
        - GW
        - GY
        - HK
        - HM
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IM
        - IN
        - IO
        - IQ
        - IR
        - IS
        - IT
        - JE
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KY
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MF
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MP
        - MQ
        - MR
        - MS
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NC
        - NE
        - NF
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NU
        - NZ
        - OM
        - PA
        - PE
        - PF
        - PG
        - PH
        - PK
        - PL
        - PM
        - PN
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RE
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SH
        - SI
        - SJ
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SV
        - SX
        - SY
        - SZ
        - TC
        - TD
        - TF
        - TG
        - TH
        - TJ
        - TK
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VG
        - VI
        - VN
        - VU
        - WF
        - WS
        - XK
        - YE
        - YT
        - ZA
        - ZM
        - ZW
    MilitaryDto:
      type: object
      properties:
        branch:
          type: string
        commandingOfficer:
          type: string
        commandingOfficerEmail:
          type: string
          nullable: true
        startDateOfService:
          format: date-time
          type: string
        dateOfBirth:
          format: date-time
          type: string
      required:
        - commandingOfficer
        - commandingOfficerEmail
        - startDateOfService
        - dateOfBirth
    PersonIdentificationDto:
      type: object
      properties:
        identificationType:
          $ref: '#/components/schemas/PersonIDType'
        identificationString:
          type: string
          nullable: true
        issueDate:
          format: date-time
          type: string
        expirationDate:
          format: date-time
          type: string
        country:
          $ref: '#/components/schemas/Countries'
        state:
          $ref: '#/components/schemas/States'
      required:
        - identificationType
        - identificationString
        - country
        - state
    VehicleLienDto:
      type: object
      properties:
        name:
          type: string
        address:
          type: string
    PersonIDType:
      type: string
      enum:
        - DRIVER_LICENSE
        - PASSPORT

````